name: blissful_kenichi
services:
  main_app:
    cpu_shares: 50
    command: []
    container_name: pure-ftpd
    deploy:
      resources:
        limits:
          memory: 512M
    environment:
      - FTP_USER_HOME=/home/username
      - FTP_USER_NAME=user
      - FTP_USER_PASS=12345
      - PUBLICHOST=172.27.27.2
    image: stilliard/pure-ftpd:latest
    labels:
      icon: https://cdn-icons-png.flaticon.com/512/1183/1183650.png
    ports:
      - target: 21
        published: "21"
        protocol: tcp
      - target: 30000
        published: "30000"
        protocol: tcp
      - target: 30001
        published: "30001"
        protocol: tcp
      - target: 30002
        published: "30002"
        protocol: tcp
      - target: 30003
        published: "30003"
        protocol: tcp
      - target: 30004
        published: "30004"
        protocol: tcp
      - target: 30005
        published: "30005"
        protocol: tcp
      - target: 30006
        published: "30006"
        protocol: tcp
      - target: 30007
        published: "30007"
        protocol: tcp
      - target: 30008
        published: "30008"
        protocol: tcp
      - target: 30009
        published: "30009"
        protocol: tcp
    restart: always
    volumes:
      - type: bind
        source: /DATA/AppData/pure-ftpd/data
        target: /home/username
      - type: bind
        source: /DATA/AppData/pure-ftpd/passwd
        target: /etc/pure-ftpd/passwd
    devices: []
    cap_add: []
    network_mode: bridge
    privileged: false
x-casaos:
  author: self
  category: self
  hostname: ""
  icon: https://cdn-icons-png.flaticon.com/512/1183/1183650.png
  index: /
  port_map: ""
  scheme: http
  store_app_id: blissful_kenichi
  title:
    custom: pure-ftpd
